Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.apps.groupspace.search.utils
Enum ExpressionBuilder.DateCriteria

    java.lang.Object
      java.lang.Enum<ExpressionBuilder.DateCriteria>
          com.bea.apps.groupspace.search.utils.ExpressionBuilder.DateCriteria

All Implemented Interfaces
  Serializable, Comparable<ExpressionBuilder.DateCriteria>

Enclosing class:
  ExpressionBuilder

    public static enum ExpressionBuilder.DateCriteria

extends Enum<ExpressionBuilder.DateCriteria>

Enum Constant Summary
`AFTER`
`BEFORE`
`EQUALS`

Method Summary
`static ExpressionBuilder.DateCriteria` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExpressionBuilder.DateCriteria[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEFORE

    public static final ExpressionBuilder.DateCriteria BEFORE

### AFTER

    public static final ExpressionBuilder.DateCriteria AFTER

### EQUALS

    public static final ExpressionBuilder.DateCriteria EQUALS

Method Detail

### values

    public static final ExpressionBuilder.DateCriteria[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static ExpressionBuilder.DateCriteria valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved